﻿if (typeof rs == 'undefined') var rs = {};
if (typeof rs.layout == 'undefined') rs.layout = {};

rs.layout.allSites = {
    elements: {
        allSitesLink: "",
        branchSitesLink: "",
        branchSitesList: "",
        rosnanoSitesLink: "",
        rosnanoSitesList: ""
    },
    initializeElements: function () {
        rs.layout.allSites.elements.allSitesLink = $("#allSitesLink");
        rs.layout.allSites.elements.branchSitesLink = $("#branchSitesLink");
        rs.layout.allSites.elements.branchSitesList = $("#branchSitesList");
        rs.layout.allSites.elements.rosnanoSitesLink = $("#rosnanoSitesLink");
        rs.layout.allSites.elements.rosnanoSitesList = $("#rosnanoSitesList");
    },
    initialize: function () {
        rs.layout.allSites.initializeElements();
        rs.layout.allSites.bindEvents();
    },
    bindEvents: function () {
        rs.layout.allSites.elements.allSitesLink.click(function () {
            $("#header .sites .choose .choose-list").slideToggle("fast");
            rs.layout.allSites.elements.branchSitesLink.removeClass("active");
            rs.layout.allSites.elements.branchSitesList.hide();
            rs.layout.allSites.elements.rosnanoSitesLink.removeClass("active").addClass("active");
            rs.layout.allSites.elements.rosnanoSitesList.show();
            return false;
        });

        $(".choose-list strong a").click(function () {
            $("#header .sites .choose .choose-list").slideToggle("fast");
            return false;
        });

        rs.layout.allSites.elements.branchSitesLink.click(function () {
            rs.layout.allSites.elements.rosnanoSitesLink.removeClass("active");
            $(this).addClass("active");
            rs.layout.allSites.elements.rosnanoSitesList.hide();
            rs.layout.allSites.elements.branchSitesList.show();
            return false;
        });

        rs.layout.allSites.elements.rosnanoSitesLink.click(function () {
            rs.layout.allSites.elements.branchSitesLink.removeClass("active");
            $(this).addClass("active");
            rs.layout.allSites.elements.branchSitesList.hide();
            rs.layout.allSites.elements.rosnanoSitesList.show();
            return false;
        });
    }
};

jQuery(document).ready(function () {
    //Все сайты Роснано всплывающий блок
    rs.layout.allSites.initialize();
});
